Passa al contenuto principale

BuyServicePleskLicenseRequest

service_idintegerrequired

ID of the Service to buy

Possible values: >= 1

account_idinteger

ID of the account of the user that will be the owner of the purchase (available to Resellers only)

data objectrequired

Details about where to install the license

installation_typestringrequired

Choose to install the license on an active server or on external IP address

Possible values: [internal_installation_type, external_installation_type]

purchase_serverinteger

Id of the purchase of the server where the license will be installed (purchase_id of GET /api/v3/servers/{server_id}), not the id of the server. Required only if "installation_type" has value "internal_installation_type"

ip_addressstring

IP address of the external host where the license will be installed to. Required only if "installation_type" has value "external_installation_type"

BuyServicePleskLicenseRequest
{
"service_id": 0,
"account_id": 0,
"data": {
"installation_type": "internal_installation_type",
"purchase_server": 0,
"ip_address": "string"
}
}